|  | Home | Documentation | a__address Class Reference updated by Robert van Engelen |

a__address Class Reference

"urn:address-book-example":address is a complexType. More...

`#include <address.h>`

## Public Member Functions

virtual long | soap_type (void) const
| Return unique type id SOAP_TYPE_a__address.
virtual void | soap_default (struct soap *)
| (Re)set members to default values
virtual void | soap_serialize (struct soap *) const
| Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures.
virtual int | soap_put (struct soap *, const char *tag, const char *type) const
| Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK.
virtual int | soap_out (struct soap *, const char *tag, int id, const char *type) const
| Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK.
virtual void * | soap_get (struct soap *, const char *tag, const char *type)
| Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error.
virtual void * | soap_in (struct soap *, const char *tag, const char *type)
| Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error.
virtual a__address * | soap_alloc (void) const
| Return a new object of type a__address, default initialized and not managed by a soap context.
| a__address ()
| Constructor with default initializations.
virtual | ~a__address ()
| Destructor.

## Public Attributes

std::string | name
| Element "name" of type xs:string.
std::string | street
| Element "street" of type xs:string.
std::string | city
| Element "city" of type xs:string.
std::string | zip
| Element "zip" of type xs:string.
enum a__ISO_country | country = a__ISO_country__us
| Element "country" of type "":ISO-country.
std::string * | phone
| Element "phone" of type xs:string.
std::string * | mobile
| Element "mobile" of type xs:string.
time_t * | dob
| Element "dob" of type xs:dateTime.
int | ID
| Attribute "ID" of type xs:int.
struct soap * | soap
| Pointer to soap context that manages this instance.

## Friends

SOAP_FMAC1 a__address *SOAP_FMAC2 | address_instantiate_a__address (struct soap *, int, const char *, const char *, size_t *)
| Friend allocator used by soap_new_a__address(struct soap*, int).

## Detailed Description

"urn:address-book-example":address is a complexType.

      An address information item

Note
  class a__address operations:
  - a__address* soap_new_a__address(soap*) allocate and default initialize
  - a__address* soap_new_a__address(soap*, int num) allocate and default initialize an array
  - a__address* soap_new_req_a__address(soap*, ...) allocate, set required members
  - a__address* soap_new_set_a__address(soap*, ...) allocate, set all public members
  - a__address::soap_default(soap*) default initialize members
  - int soap_read_a__address(soap*, a__address*) deserialize from a stream
  - int soap_write_a__address(soap*, a__address*) serialize to a stream
  - a__address* a__address::soap_dup(soap*) returns deep copy of a__address, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - a__address::soap_del() deep deletes a__address data members, use only after a__address::soap_dup(NULL) (use soapcpp2 -Ed)
  - int a__address::soap_type() returns SOAP_TYPE_a__address or derived type identifier

Definition at line 221 of file address.h.

## Constructor & Destructor Documentation

## ◆ a__address()

a__address::a__address | ( |  | ) |

inline

Constructor with default initializations.

Definition at line 112 of file addressStub.h.

## ◆ ~a__address()

virtual a__address::~a__address | ( |  | ) |

inline virtual

Destructor.

Definition at line 114 of file addressStub.h.

## Member Function Documentation

## ◆ soap_alloc()

virtual a__address * a__address::soap_alloc | ( | void |  | ) | const

inline virtual

Return a new object of type a__address, default initialized and not managed by a soap context.

Definition at line 109 of file addressStub.h.

## ◆ soap_default()

virtual void a__address::soap_default | ( | struct soap * |  | ) |

virtual

(Re)set members to default values

## ◆ soap_get()

virtual void * a__address::soap_get | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type )

virtual

Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error.

## ◆ soap_in()

virtual void * a__address::soap_in | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type )

virtual

Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error.

## ◆ soap_out()

virtual int a__address::soap_out | ( | struct soap * | ,
|  | const char * | tag,
|  | int | id,
|  | const char * | type ) const

virtual

Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK.

## ◆ soap_put()

virtual int a__address::soap_put | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type ) const

virtual

Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK.

## ◆ soap_serialize()

virtual void a__address::soap_serialize | ( | struct soap * |  | ) | const

virtual

Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures.

## ◆ soap_type()

virtual long a__address::soap_type | ( | void |  | ) | const

inline virtual

Return unique type id SOAP_TYPE_a__address.

Definition at line 95 of file addressStub.h.

## Friends And Related Symbol Documentation

## ◆ address_instantiate_a__address

SOAP_FMAC1 a__address *SOAP_FMAC2 address_instantiate_a__address | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * | )

friend

Friend allocator used by soap_new_a__address(struct soap*, int).

## Member Data Documentation

## ◆ city

std::string a__address::city

Element "city" of type xs:string.

Required element 'city' of XML schema type 'xsd:string'.

Required element.

Definition at line 228 of file address.h.

## ◆ country

enum a__ISO_country a__address::country = a__ISO_country__us

Element "country" of type "":ISO-country.

Required element 'country' of XML schema type 'a:ISO-country'.

Required element with default value="us".

initialized with default value = (enum a__ISO_country)10

Definition at line 232 of file address.h.

## ◆ dob

time_t * a__address::dob

Element "dob" of type xs:dateTime.

Optional element 'dob' of XML schema type 'xsd:dateTime'.

Optional element.

Definition at line 238 of file address.h.

## ◆ ID

int a__address::ID

Attribute "ID" of type xs:int.

Required attribute 'ID' of XML schema type 'xsd:int'.

Required attribute.

Definition at line 240 of file address.h.

## ◆ mobile

std::string * a__address::mobile

Element "mobile" of type xs:string.

Optional element 'mobile' of XML schema type 'xsd:string'.

Optional element.

Definition at line 236 of file address.h.

## ◆ name

std::string a__address::name

Element "name" of type xs:string.

Required element 'name' of XML schema type 'xsd:string'.

Required element.

Definition at line 224 of file address.h.

## ◆ phone

std::string * a__address::phone

Element "phone" of type xs:string.

Optional element 'phone' of XML schema type 'xsd:string'.

Optional element.

Definition at line 234 of file address.h.

## ◆ soap

struct soap * a__address::soap

Pointer to soap context that manages this instance.

Context that manages this object.

Definition at line 242 of file address.h.

## ◆ street

std::string a__address::street

Element "street" of type xs:string.

Required element 'street' of XML schema type 'xsd:string'.

Required element.

Definition at line 226 of file address.h.

## ◆ zip

std::string a__address::zip

Element "zip" of type xs:string.

Required element 'zip' of XML schema type 'xsd:string'.

Required element.

Definition at line 230 of file address.h.

The documentation for this class was generated from the following files:

- address.h
- addressStub.h